PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
PFactory< AbstractClass, KeyType >::Worker< ConcreteClass > Class Template Reference

`#include <pfactory.h>`

Inherits WorkerBase_T.

## Public Member Functions
| Worker (const Key_T &key, bool singleton=false)

## Protected Member Functions
virtual Abstract_T * | Create (Param_T) const

## Constructor & Destructor Documentation

template<class AbstractClass , typename KeyType = PDefaultPFactoryKey>
template<class ConcreteClass >

PFactory< AbstractClass, KeyType >::Worker< ConcreteClass >::Worker | ( | const Key_T & | key,
|  | bool | singleton = `false`
| ) |  |
| inline

## Member Function Documentation

template<class AbstractClass , typename KeyType = PDefaultPFactoryKey>
template<class ConcreteClass >

virtual Abstract_T* PFactory< AbstractClass, KeyType >::Worker< ConcreteClass >::Create | ( | Param_T |  | ) | const
| inline protected virtual

The documentation for this class was generated from the following file:

- pfactory.h